# Generated by Django 4.2.10 on 2024-06-26 14:04

from django.db import migrations, models


def _create_course_bundles(apps, schema_editor):
    Course = apps.get_model("cursus", "Course")
    CourseBundle = apps.get_model("cursus", "CourseBundle")
    db_alias = schema_editor.connection.alias
    for course in Course.objects.using(db_alias).all():
        # Duplicated from models.py CourseBundle.create_for_course
        # because the historical model used here does not have this method.
        bundle = CourseBundle.objects.create(
            managed_by_app_label=CourseBundle._meta.app_label,
            name=course.name,
            lesson_quota=course.lesson_quota,
        )
        bundle.courses.set([course])

class Migration(migrations.Migration):

    dependencies = [
        ('cursus', '0003_drop_site'),
    ]

    operations = [
        migrations.CreateModel(
            name='CourseBundle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('managed_by_app_label', models.CharField(blank=True, editable=False, max_length=255, verbose_name='App label of app responsible for managing this instance')),
                ('extended_data', models.JSONField(default=dict, editable=False)),
                ('name', models.CharField(max_length=255, verbose_name='Name')),
                ('lesson_quota', models.PositiveSmallIntegerField(blank=True, null=True, verbose_name='Lesson quota')),
                ('courses', models.ManyToManyField(related_name='bundle', to='cursus.course', verbose_name='Bundled courses')),
            ],
            options={
                'verbose_name': 'Course Bundle',
                'verbose_name_plural': 'Course Bundles',
                'ordering': ['name'],
            },
        ),
        migrations.RunPython(_create_course_bundles),
    ]
